PeopleForce
Core

Early access

Company API v4 is the next-generation API and is under active development. Endpoints and fields may still change.

Create a department

Creates a new department

POST
/api/v4/departments

Creates a new department

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Creates a new department

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v4/departments" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "data": {    "id": 0,    "name": "string",    "parent_id": 0,    "manager_id": 0,    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "fields": {      "property1": {        "name": "string",        "value": null      },      "property2": {        "name": "string",        "value": null      }    }  }}